Subject: bug#42899: closed (Re: [bug#42899] [PATCH v6 0/3] services: dovecot: Add pigeonhole support)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Feb 2025 11:36:02 +0000

Your bug report

#42899: [PATCH 00/10] Dovecot improvements. Add support for pigeonhole.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42899: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42899
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#42899] [PATCH v6 0/3] services: dovecot: Add pigeonhole support
From: Christopher Baines <[email-masked]>
To: Alexey Abramov <[email-masked]>
Cc: [email-masked], Rodion Goritskov <[email-masked]>
Date: Tue, 25 Feb 2025 11:35:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Alexey Abramov via Guix-patches via <[email-masked]> writes:

> Hi everyone,
>
> It is been a while.. I add some changes to the previous series.
>
> - I changed the location of modules to /usr/lib/dovecot instead of
>   /etc/dovecot. Don't know why). /usr/lib/dovecot seems natural to me.
> - I renamed `%dovecot-moduledir' to make-dovecot-moduledir, and now use
>   union-build to create the union of modules.
> - %dovecot-activation uses switch-symlinks now.
> - I changed the tests a little bit, so that email will go through a simple
>   sieve script.
>
> Alexey Abramov (3):
>   gnu: dovecot: Set moduledir to global directory.
>   services: dovecot: Provide plugins through a /gnu/store directory.
>   tests: dovecot: Add sieve.
>
>  doc/guix.texi         | 19 ++++++++++++
>  gnu/packages/mail.scm |  8 ++++--
>  gnu/services/mail.scm | 44 ++++++++++++++++++++++++++--
>  gnu/tests/mail.scm    | 67 +++++++++++++++++++++++++++++++++++++++----
>  4 files changed, 129 insertions(+), 9 deletions(-)

Thanks all, I've pushed these patches to master as
c9d9eab868f155ea4f49199b7cf9ad13002bfc86.

Chris

Subject: [PATCH 00/10] Dovecot improvements. Add support for pigeonhole.
From: Alexey Abramov <[email-masked]>
To: [email-masked]
Date: Mon, 17 Aug 2020 11:27:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I did some work on dovecot, and now can run it with sieve/managesieve
support. I followed the same aproach NixOS guys did. I patched moduledir in
the source code (/etc/dovecot/modules), and provide it as a symlink to current
system profiles lib/dovecot.

I also added fts plugin support for dovecot, added few more options for sieve
protocol configuration.

Alexey Abramov (10):
  gnu: dovecot: Add lucene library to support fts indexing.
  gnu: dovecot: Patch and provide a static path for module directory.
  services: dovecot: Use modules via symlink to system profile.
  gnu: dovecot-pigeonhole: Add new variable.
  services: dovecot: Serialize global settings first.
  services: dovecot: Only serialize settings with non-empty values.
  services: dovecot: Add 'mail-attribute-dict' configuration option.
  services: dovecot: Add 'imap-metadata?' protocol configuration option.
  services: dovecot: Add 'managesieve-notify-capability' configuration.
  services: dovecot: Add 'managesieve-sieve-capability' option.

 gnu/local.mk                                  |   1 +
 gnu/packages/mail.scm                         |  68 +++++++-
 ...ovecot-use-static-path-for-moduledir.patch | 146 +++++++++++++++++
 gnu/services/mail.scm                         | 151 ++++++++++--------
 4 files changed, 300 insertions(+), 66 deletions(-)
 create mode 100644 gnu/packages/patches/dovecot-use-static-path-for-moduledir.patch

--
2.27.0